defmodule Prymn.Repo.Migrations.CreateServers do
  use Ecto.Migration

  def change do
    create table("servers") do
      add :name, :string
      add :public_ip, :string
      add :provider, :string
      add :status, :string
      add :registration_token, :binary

      timestamps()
    end

    create index("servers", [:registration_token], unique: true)
    create index("servers", [:public_ip], unique: true)
  end
end
